Subject: Re: bug#39286: 27.0.60; Wrong font for Cyrillic characters in emacs buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 20:00:07 +0200

> From: jumper 047 <[email-masked]>
> Date: Sun, 7 Feb 2021 20:38:00 +0300
> 
> It's amazing news! Not sure when I'll have access to that system, maybe a new version will be released that
> time:). Also I switched to native compile branch on my main system and want to do the same on Windows.
> Will this fix be pushed to native-compile branch too? If so, I think there is no need for instructions.  Thank you
> for your help!

Yes, this change will appear on master soon, and then will be merged
to the native-compile branch.

The telltale sign of the problem is that

  M-: (getenv "LANG") RET

produces a bogus "language" of "ZZZ".  You could try fixing the
problem manually even before the change gets to you with

  M-x set-locale-environment RET RUS RET